name = "flexoki"

[palette]
black = "#100F0F"
paper = "#FFFCF0"

base-50  = "#F2F0E5"
base-100 = "#E6E4D9"
base-150 = "#DAD8CE"
base-200 = "#CECDC3"
base-300 = "#B7B5AC"
base-400 = "#9F9D96"
base-500 = "#878580"
base-600 = "#6F6E69"
base-700 = "#575653"
base-800 = "#403E3C"
base-850 = "#343331"
base-900 = "#282726"
base-950 = "#1C1B1A"

red-50  = "#FFE1D5"
red-100 = "#FFCABB"
red-150 = "#FDB2A2"
red-200 = "#F89A8A"
red-300 = "#E8705F"
red-400 = "#D14D41"
red-500 = "#C03E35"
red-600 = "#AF3029"
red-700 = "#942822"
red-800 = "#6C201C"
red-850 = "#551B18"
red-900 = "#3E1715"
red-950 = "#261312"

orange-50  = "#FFE7CE"
orange-100 = "#FED3AF"
orange-150 = "#FCC192"
orange-200 = "#F9AE77"
orange-300 = "#EC8B49"
orange-400 = "#DA702C"
orange-500 = "#CB6120"
orange-600 = "#BC5215"
orange-700 = "#9D4310"
orange-800 = "#71320D"
orange-850 = "#59290D"
orange-900 = "#40200D"
orange-950 = "#27180E"

yellow-50  = "#FAEEC6"
yellow-100 = "#F6E2A0"
yellow-150 = "#F1D67E"
yellow-200 = "#ECCB60"
yellow-300 = "#DFB431"
yellow-400 = "#D0A215"
yellow-500 = "#BE9207"
yellow-600 = "#AD8301"
yellow-700 = "#8E6B01"
yellow-800 = "#664D01"
yellow-850 = "#503D02"
yellow-900 = "#3A2D04"
yellow-950 = "#241E08"

green-50  = "#EDEECF"
green-100 = "#DDE2B2"
green-150 = "#CDD597"
green-200 = "#BEC97E"
green-300 = "#A0AF54"
green-400 = "#879A39"
green-500 = "#768D21"
green-600 = "#66800B"
green-700 = "#536907"
green-800 = "#3D4C07"
green-850 = "#313D07"
green-900 = "#252D09"
green-950 = "#1A1E0C"

cyan-50  = "#DDF1E4"
cyan-100 = "#BFE8D9"
cyan-150 = "#A2DECE"
cyan-200 = "#87D3C3"
cyan-300 = "#5ABDAC"
cyan-400 = "#3AA99F"
cyan-500 = "#2F968D"
cyan-600 = "#24837B"
cyan-700 = "#1C6C66"
cyan-800 = "#164F4A"
cyan-850 = "#143F3C"
cyan-900 = "#122F2C"
cyan-950 = "#101F1D"

blue-50  = "#E1ECEB"
blue-100 = "#C6DDE8"
blue-150 = "#ABCFE2"
blue-200 = "#92BFDB"
blue-300 = "#66A0C8"
blue-400 = "#4385BE"
blue-500 = "#3171B2"
blue-600 = "#205EA6"
blue-700 = "#1A4F8C"
blue-800 = "#163B66"
blue-850 = "#133051"
blue-900 = "#12253B"
blue-950 = "#101A24"

purple-50  = "#F0EAEC"
purple-100 = "#E2D9E9"
purple-150 = "#D3CAE6"
purple-200 = "#C4B9E0"
purple-300 = "#A699D0"
purple-400 = "#8B7EC8"
purple-500 = "#735EB5"
purple-600 = "#5E409D"
purple-700 = "#4F3685"
purple-800 = "#3C2A62"
purple-850 = "#31234E"
purple-900 = "#261C39"
purple-950 = "#1A1623"

magenta-50  = "#FEE4E5"
magenta-100 = "#FCCFDA"
magenta-150 = "#F9B9CF"
magenta-200 = "#F4A4C2"
magenta-300 = "#E47DA8"
magenta-400 = "#CE5D97"
magenta-500 = "#B74583"
magenta-600 = "#A02F6F"
magenta-700 = "#87285E"
magenta-800 = "#641F46"
magenta-850 = "#4F1B39"
magenta-900 = "#39172B"
magenta-950 = "#24131D"

[dark.backgrounds]
primary = "@black"
secondary = "@base-950"

selection = "@base-800"
status-bar-active = "@base-900"
status-bar-inactive = "@black"
cursor = "@base-200"

[dark.borders]
default = "@base-900"
hovered = "@base-850"
active = "@base-800"

[dark.text]
primary = "@base-200"
muted = "@base-500"
faint = "@base-700"
error = "@red-400"
warning = "@orange-400"
success = "@green-400"
link = "@cyan-400"

selection = "@base-200"
cursor = "@black"

[dark.syntax]
operator = "@base-500"
import = "@red-400"
function = "@orange-400"
constant = "@yellow-400"
keyword = "@green-400"
string = "@cyan-400"
identifier = "@blue-400"
number = "@purple-400"
comment = "@base-700"
macro = "@magenta-400"
other = "@magenta-400"

[dark.terminal-16]
bright-black = "@base-600"
bright-red = "@red-400"
bright-green = "@green-400"
bright-yellow = "@yellow-400"
bright-blue = "@blue-400"
bright-magenta = "@magenta-400"
bright-cyan = "@cyan-400"
bright-white = "@base-200"
black = "@black"
red = "@red-600"
green = "@green-600"
yellow = "@yellow-600"
blue = "@blue-600"
magenta = "@magenta-600"
cyan = "@cyan-600"
white = "@base-500"

[light.backgrounds]
primary = "@paper"
secondary = "@base-50"

selection = "@base-200"
status-bar-active = "@base-100"
status-bar-inactive = "@paper"
cursor = "@black"

[light.borders]
default = "@base-900"
hovered = "@base-850"
active = "@base-800"

[light.text]
primary = "@black"
muted = "@base-600"
faint = "@base-300"
error = "@red-600"
warning = "@orange-600"
success = "@green-600"
link = "@cyan-600"

selection = "@black"
cursor = "@black"

[light.syntax]
operator = "@base-500"
import = "@red-600"
function = "@orange-600"
constant = "@yellow-600"
keyword = "@green-600"
string = "@cyan-600"
identifier = "@blue-600"
number = "@purple-600"
comment = "@base-300"
macro = "@magenta-600"
other = "@magenta-600"

[light.terminal-16]
bright-black = "@base-600"
red = "@red-400"
green = "@green-400"
yellow = "@yellow-400"
blue = "@blue-400"
magenta = "@magenta-400"
cyan = "@cyan-400"
bright-white = "@base-200"
black = "@black"
bright-red = "@red-600"
bright-green = "@green-600"
bright-yellow = "@yellow-600"
bright-blue = "@blue-600"
bright-magenta = "@magenta-600"
bright-cyan = "@cyan-600"
white = "@base-500"
